package org.silverpeas.mobile.shared.dto;

public class IFullUserAutoBean extends com.google.web.bindery.autobean.shared.impl.AbstractAutoBean<org.silverpeas.mobile.shared.dto.IFullUser> {
  private final org.silverpeas.mobile.shared.dto.IFullUser shim = new org.silverpeas.mobile.shared.dto.IFullUser() {
    public boolean getConnected()  {
      boolean toReturn = (boolean) IFullUserAutoBean.this.getWrapped().getConnected();
      return toReturn;
    }
    public boolean isNotificationBox()  {
      boolean toReturn = (boolean) IFullUserAutoBean.this.getWrapped().isNotificationBox();
      return toReturn;
    }
    public java.lang.String getAvatar()  {
      java.lang.String toReturn = (java.lang.String) IFullUserAutoBean.this.getWrapped().getAvatar();
      return toReturn;
    }
    public java.lang.String getCellularPhoneNumber()  {
      java.lang.String toReturn = (java.lang.String) IFullUserAutoBean.this.getWrapped().getCellularPhoneNumber();
      return toReturn;
    }
    public java.lang.String getDomainId()  {
      java.lang.String toReturn = (java.lang.String) IFullUserAutoBean.this.getWrapped().getDomainId();
      return toReturn;
    }
    public java.lang.String getFaxPhoneNumber()  {
      java.lang.String toReturn = (java.lang.String) IFullUserAutoBean.this.getWrapped().getFaxPhoneNumber();
      return toReturn;
    }
    public java.lang.String getFirstName()  {
      java.lang.String toReturn = (java.lang.String) IFullUserAutoBean.this.getWrapped().getFirstName();
      return toReturn;
    }
    public java.lang.String getId()  {
      java.lang.String toReturn = (java.lang.String) IFullUserAutoBean.this.getWrapped().getId();
      return toReturn;
    }
    public java.lang.String getLanguage()  {
      java.lang.String toReturn = (java.lang.String) IFullUserAutoBean.this.getWrapped().getLanguage();
      return toReturn;
    }
    public java.lang.String getLastName()  {
      java.lang.String toReturn = (java.lang.String) IFullUserAutoBean.this.getWrapped().getLastName();
      return toReturn;
    }
    public java.lang.String getLogin()  {
      java.lang.String toReturn = (java.lang.String) IFullUserAutoBean.this.getWrapped().getLogin();
      return toReturn;
    }
    public java.lang.String getPassword()  {
      java.lang.String toReturn = (java.lang.String) IFullUserAutoBean.this.getWrapped().getPassword();
      return toReturn;
    }
    public java.lang.String getPhoneNumber()  {
      java.lang.String toReturn = (java.lang.String) IFullUserAutoBean.this.getWrapped().getPhoneNumber();
      return toReturn;
    }
    public java.lang.String getSessionKey()  {
      java.lang.String toReturn = (java.lang.String) IFullUserAutoBean.this.getWrapped().getSessionKey();
      return toReturn;
    }
    public java.lang.String getStatus()  {
      java.lang.String toReturn = (java.lang.String) IFullUserAutoBean.this.getWrapped().getStatus();
      return toReturn;
    }
    public java.lang.String getToken()  {
      java.lang.String toReturn = (java.lang.String) IFullUserAutoBean.this.getWrapped().getToken();
      return toReturn;
    }
    public java.lang.String getZone()  {
      java.lang.String toReturn = (java.lang.String) IFullUserAutoBean.this.getWrapped().getZone();
      return toReturn;
    }
    public java.lang.String geteMail()  {
      java.lang.String toReturn = (java.lang.String) IFullUserAutoBean.this.getWrapped().geteMail();
      return toReturn;
    }
    public void setAvatar(java.lang.String avatar)  {
      IFullUserAutoBean.this.getWrapped().setAvatar(avatar);
      IFullUserAutoBean.this.set("setAvatar", avatar);
    }
    public void setCellularPhoneNumber(java.lang.String cellularPhoneNumber)  {
      IFullUserAutoBean.this.getWrapped().setCellularPhoneNumber(cellularPhoneNumber);
      IFullUserAutoBean.this.set("setCellularPhoneNumber", cellularPhoneNumber);
    }
    public void setConnected(boolean connected)  {
      IFullUserAutoBean.this.getWrapped().setConnected(connected);
      IFullUserAutoBean.this.set("setConnected", connected);
    }
    public void setDomainId(java.lang.String domainId)  {
      IFullUserAutoBean.this.getWrapped().setDomainId(domainId);
      IFullUserAutoBean.this.set("setDomainId", domainId);
    }
    public void setFaxPhoneNumber(java.lang.String faxPhoneNumber)  {
      IFullUserAutoBean.this.getWrapped().setFaxPhoneNumber(faxPhoneNumber);
      IFullUserAutoBean.this.set("setFaxPhoneNumber", faxPhoneNumber);
    }
    public void setFirstName(java.lang.String firstName)  {
      IFullUserAutoBean.this.getWrapped().setFirstName(firstName);
      IFullUserAutoBean.this.set("setFirstName", firstName);
    }
    public void setId(java.lang.String id)  {
      IFullUserAutoBean.this.getWrapped().setId(id);
      IFullUserAutoBean.this.set("setId", id);
    }
    public void setLanguage(java.lang.String language)  {
      IFullUserAutoBean.this.getWrapped().setLanguage(language);
      IFullUserAutoBean.this.set("setLanguage", language);
    }
    public void setLastName(java.lang.String LastName)  {
      IFullUserAutoBean.this.getWrapped().setLastName(LastName);
      IFullUserAutoBean.this.set("setLastName", LastName);
    }
    public void setLogin(java.lang.String login)  {
      IFullUserAutoBean.this.getWrapped().setLogin(login);
      IFullUserAutoBean.this.set("setLogin", login);
    }
    public void setNotificationBox(boolean notificationBox)  {
      IFullUserAutoBean.this.getWrapped().setNotificationBox(notificationBox);
      IFullUserAutoBean.this.set("setNotificationBox", notificationBox);
    }
    public void setPassword(java.lang.String password)  {
      IFullUserAutoBean.this.getWrapped().setPassword(password);
      IFullUserAutoBean.this.set("setPassword", password);
    }
    public void setPhoneNumber(java.lang.String phoneNumber)  {
      IFullUserAutoBean.this.getWrapped().setPhoneNumber(phoneNumber);
      IFullUserAutoBean.this.set("setPhoneNumber", phoneNumber);
    }
    public void setSessionKey(java.lang.String sessionKey)  {
      IFullUserAutoBean.this.getWrapped().setSessionKey(sessionKey);
      IFullUserAutoBean.this.set("setSessionKey", sessionKey);
    }
    public void setStatus(java.lang.String status)  {
      IFullUserAutoBean.this.getWrapped().setStatus(status);
      IFullUserAutoBean.this.set("setStatus", status);
    }
    public void setToken(java.lang.String token)  {
      IFullUserAutoBean.this.getWrapped().setToken(token);
      IFullUserAutoBean.this.set("setToken", token);
    }
    public void setZone(java.lang.String zone)  {
      IFullUserAutoBean.this.getWrapped().setZone(zone);
      IFullUserAutoBean.this.set("setZone", zone);
    }
    public void seteMail(java.lang.String EMail)  {
      IFullUserAutoBean.this.getWrapped().seteMail(EMail);
      IFullUserAutoBean.this.set("seteMail", EMail);
    }
    @Override public boolean equals(Object o) {
      return this == o || getWrapped().equals(o);
    }
    @Override public int hashCode() {
      return getWrapped().hashCode();
    }
    @Override public String toString() {
      return getWrapped().toString();
    }
  };
  { com.google.gwt.core.client.impl.WeakMapping.set(shim, com.google.web.bindery.autobean.shared.AutoBean.class.getName(), this); }
  public IFullUserAutoBean(com.google.web.bindery.autobean.shared.AutoBeanFactory factory) {super(factory);}
  public IFullUserAutoBean(com.google.web.bindery.autobean.shared.AutoBeanFactory factory, org.silverpeas.mobile.shared.dto.IFullUser wrapped) {
    super(wrapped, factory);
  }
  public org.silverpeas.mobile.shared.dto.IFullUser as() {return shim;}
  public Class<org.silverpeas.mobile.shared.dto.IFullUser> getType() {return org.silverpeas.mobile.shared.dto.IFullUser.class;}
  @Override protected org.silverpeas.mobile.shared.dto.IFullUser createSimplePeer() {
    return new org.silverpeas.mobile.shared.dto.IFullUser() {
      private final com.google.web.bindery.autobean.shared.Splittable data = org.silverpeas.mobile.shared.dto.IFullUserAutoBean.this.data;
      public boolean getConnected()  {
        java.lang.Boolean toReturn = IFullUserAutoBean.this.getOrReify("connected");
        return toReturn == null ? false : toReturn;
      }
      public boolean isNotificationBox()  {
        java.lang.Boolean toReturn = IFullUserAutoBean.this.getOrReify("notificationBox");
        return toReturn == null ? false : toReturn;
      }
      public java.lang.String getAvatar()  {
        return (java.lang.String) IFullUserAutoBean.this.getOrReify("avatar");
      }
      public java.lang.String getCellularPhoneNumber()  {
        return (java.lang.String) IFullUserAutoBean.this.getOrReify("cellularPhoneNumber");
      }
      public java.lang.String getDomainId()  {
        return (java.lang.String) IFullUserAutoBean.this.getOrReify("domainId");
      }
      public java.lang.String getFaxPhoneNumber()  {
        return (java.lang.String) IFullUserAutoBean.this.getOrReify("faxPhoneNumber");
      }
      public java.lang.String getFirstName()  {
        return (java.lang.String) IFullUserAutoBean.this.getOrReify("firstName");
      }
      public java.lang.String getId()  {
        return (java.lang.String) IFullUserAutoBean.this.getOrReify("id");
      }
      public java.lang.String getLanguage()  {
        return (java.lang.String) IFullUserAutoBean.this.getOrReify("language");
      }
      public java.lang.String getLastName()  {
        return (java.lang.String) IFullUserAutoBean.this.getOrReify("lastName");
      }
      public java.lang.String getLogin()  {
        return (java.lang.String) IFullUserAutoBean.this.getOrReify("login");
      }
      public java.lang.String getPassword()  {
        return (java.lang.String) IFullUserAutoBean.this.getOrReify("password");
      }
      public java.lang.String getPhoneNumber()  {
        return (java.lang.String) IFullUserAutoBean.this.getOrReify("phoneNumber");
      }
      public java.lang.String getSessionKey()  {
        return (java.lang.String) IFullUserAutoBean.this.getOrReify("sessionKey");
      }
      public java.lang.String getStatus()  {
        return (java.lang.String) IFullUserAutoBean.this.getOrReify("status");
      }
      public java.lang.String getToken()  {
        return (java.lang.String) IFullUserAutoBean.this.getOrReify("token");
      }
      public java.lang.String getZone()  {
        return (java.lang.String) IFullUserAutoBean.this.getOrReify("zone");
      }
      public java.lang.String geteMail()  {
        return (java.lang.String) IFullUserAutoBean.this.getOrReify("eMail");
      }
      public void setAvatar(java.lang.String avatar)  {
        IFullUserAutoBean.this.setProperty("avatar", avatar);
      }
      public void setCellularPhoneNumber(java.lang.String cellularPhoneNumber)  {
        IFullUserAutoBean.this.setProperty("cellularPhoneNumber", cellularPhoneNumber);
      }
      public void setConnected(boolean connected)  {
        IFullUserAutoBean.this.setProperty("connected", connected);
      }
      public void setDomainId(java.lang.String domainId)  {
        IFullUserAutoBean.this.setProperty("domainId", domainId);
      }
      public void setFaxPhoneNumber(java.lang.String faxPhoneNumber)  {
        IFullUserAutoBean.this.setProperty("faxPhoneNumber", faxPhoneNumber);
      }
      public void setFirstName(java.lang.String firstName)  {
        IFullUserAutoBean.this.setProperty("firstName", firstName);
      }
      public void setId(java.lang.String id)  {
        IFullUserAutoBean.this.setProperty("id", id);
      }
      public void setLanguage(java.lang.String language)  {
        IFullUserAutoBean.this.setProperty("language", language);
      }
      public void setLastName(java.lang.String LastName)  {
        IFullUserAutoBean.this.setProperty("lastName", LastName);
      }
      public void setLogin(java.lang.String login)  {
        IFullUserAutoBean.this.setProperty("login", login);
      }
      public void setNotificationBox(boolean notificationBox)  {
        IFullUserAutoBean.this.setProperty("notificationBox", notificationBox);
      }
      public void setPassword(java.lang.String password)  {
        IFullUserAutoBean.this.setProperty("password", password);
      }
      public void setPhoneNumber(java.lang.String phoneNumber)  {
        IFullUserAutoBean.this.setProperty("phoneNumber", phoneNumber);
      }
      public void setSessionKey(java.lang.String sessionKey)  {
        IFullUserAutoBean.this.setProperty("sessionKey", sessionKey);
      }
      public void setStatus(java.lang.String status)  {
        IFullUserAutoBean.this.setProperty("status", status);
      }
      public void setToken(java.lang.String token)  {
        IFullUserAutoBean.this.setProperty("token", token);
      }
      public void setZone(java.lang.String zone)  {
        IFullUserAutoBean.this.setProperty("zone", zone);
      }
      public void seteMail(java.lang.String EMail)  {
        IFullUserAutoBean.this.setProperty("eMail", EMail);
      }
    };
  }
  @Override protected void traverseProperties(com.google.web.bindery.autobean.shared.AutoBeanVisitor visitor, com.google.web.bindery.autobean.shared.impl.AbstractAutoBean.OneShotContext ctx) {
    com.google.web.bindery.autobean.shared.impl.AbstractAutoBean bean;
    Object value;
    com.google.web.bindery.autobean.gwt.client.impl.ClientPropertyContext propertyContext;
    org.silverpeas.mobile.shared.dto.IFullUser as = as();
    value = as.getConnected();
    propertyContext = new com.google.web.bindery.autobean.gwt.client.impl.ClientPropertyContext(
      as,
      com.google.web.bindery.autobean.gwt.client.impl.ClientPropertyContext.Setter.beanSetter(IFullUserAutoBean.this, "connected"),
      boolean.class
    );
    if (visitor.visitValueProperty("connected", value, propertyContext)) {
    }
    visitor.endVisitValueProperty("connected", value, propertyContext);
    value = as.isNotificationBox();
    propertyContext = new com.google.web.bindery.autobean.gwt.client.impl.ClientPropertyContext(
      as,
      com.google.web.bindery.autobean.gwt.client.impl.ClientPropertyContext.Setter.beanSetter(IFullUserAutoBean.this, "notificationBox"),
      boolean.class
    );
    if (visitor.visitValueProperty("notificationBox", value, propertyContext)) {
    }
    visitor.endVisitValueProperty("notificationBox", value, propertyContext);
    value = as.getAvatar();
    propertyContext = new com.google.web.bindery.autobean.gwt.client.impl.ClientPropertyContext(
      as,
      com.google.web.bindery.autobean.gwt.client.impl.ClientPropertyContext.Setter.beanSetter(IFullUserAutoBean.this, "avatar"),
      java.lang.String.class
    );
    if (visitor.visitValueProperty("avatar", value, propertyContext)) {
    }
    visitor.endVisitValueProperty("avatar", value, propertyContext);
    value = as.getCellularPhoneNumber();
    propertyContext = new com.google.web.bindery.autobean.gwt.client.impl.ClientPropertyContext(
      as,
      com.google.web.bindery.autobean.gwt.client.impl.ClientPropertyContext.Setter.beanSetter(IFullUserAutoBean.this, "cellularPhoneNumber"),
      java.lang.String.class
    );
    if (visitor.visitValueProperty("cellularPhoneNumber", value, propertyContext)) {
    }
    visitor.endVisitValueProperty("cellularPhoneNumber", value, propertyContext);
    value = as.getDomainId();
    propertyContext = new com.google.web.bindery.autobean.gwt.client.impl.ClientPropertyContext(
      as,
      com.google.web.bindery.autobean.gwt.client.impl.ClientPropertyContext.Setter.beanSetter(IFullUserAutoBean.this, "domainId"),
      java.lang.String.class
    );
    if (visitor.visitValueProperty("domainId", value, propertyContext)) {
    }
    visitor.endVisitValueProperty("domainId", value, propertyContext);
    value = as.getFaxPhoneNumber();
    propertyContext = new com.google.web.bindery.autobean.gwt.client.impl.ClientPropertyContext(
      as,
      com.google.web.bindery.autobean.gwt.client.impl.ClientPropertyContext.Setter.beanSetter(IFullUserAutoBean.this, "faxPhoneNumber"),
      java.lang.String.class
    );
    if (visitor.visitValueProperty("faxPhoneNumber", value, propertyContext)) {
    }
    visitor.endVisitValueProperty("faxPhoneNumber", value, propertyContext);
    value = as.getFirstName();
    propertyContext = new com.google.web.bindery.autobean.gwt.client.impl.ClientPropertyContext(
      as,
      com.google.web.bindery.autobean.gwt.client.impl.ClientPropertyContext.Setter.beanSetter(IFullUserAutoBean.this, "firstName"),
      java.lang.String.class
    );
    if (visitor.visitValueProperty("firstName", value, propertyContext)) {
    }
    visitor.endVisitValueProperty("firstName", value, propertyContext);
    value = as.getId();
    propertyContext = new com.google.web.bindery.autobean.gwt.client.impl.ClientPropertyContext(
      as,
      com.google.web.bindery.autobean.gwt.client.impl.ClientPropertyContext.Setter.beanSetter(IFullUserAutoBean.this, "id"),
      java.lang.String.class
    );
    if (visitor.visitValueProperty("id", value, propertyContext)) {
    }
    visitor.endVisitValueProperty("id", value, propertyContext);
    value = as.getLanguage();
    propertyContext = new com.google.web.bindery.autobean.gwt.client.impl.ClientPropertyContext(
      as,
      com.google.web.bindery.autobean.gwt.client.impl.ClientPropertyContext.Setter.beanSetter(IFullUserAutoBean.this, "language"),
      java.lang.String.class
    );
    if (visitor.visitValueProperty("language", value, propertyContext)) {
    }
    visitor.endVisitValueProperty("language", value, propertyContext);
    value = as.getLastName();
    propertyContext = new com.google.web.bindery.autobean.gwt.client.impl.ClientPropertyContext(
      as,
      com.google.web.bindery.autobean.gwt.client.impl.ClientPropertyContext.Setter.beanSetter(IFullUserAutoBean.this, "lastName"),
      java.lang.String.class
    );
    if (visitor.visitValueProperty("lastName", value, propertyContext)) {
    }
    visitor.endVisitValueProperty("lastName", value, propertyContext);
    value = as.getLogin();
    propertyContext = new com.google.web.bindery.autobean.gwt.client.impl.ClientPropertyContext(
      as,
      com.google.web.bindery.autobean.gwt.client.impl.ClientPropertyContext.Setter.beanSetter(IFullUserAutoBean.this, "login"),
      java.lang.String.class
    );
    if (visitor.visitValueProperty("login", value, propertyContext)) {
    }
    visitor.endVisitValueProperty("login", value, propertyContext);
    value = as.getPassword();
    propertyContext = new com.google.web.bindery.autobean.gwt.client.impl.ClientPropertyContext(
      as,
      com.google.web.bindery.autobean.gwt.client.impl.ClientPropertyContext.Setter.beanSetter(IFullUserAutoBean.this, "password"),
      java.lang.String.class
    );
    if (visitor.visitValueProperty("password", value, propertyContext)) {
    }
    visitor.endVisitValueProperty("password", value, propertyContext);
    value = as.getPhoneNumber();
    propertyContext = new com.google.web.bindery.autobean.gwt.client.impl.ClientPropertyContext(
      as,
      com.google.web.bindery.autobean.gwt.client.impl.ClientPropertyContext.Setter.beanSetter(IFullUserAutoBean.this, "phoneNumber"),
      java.lang.String.class
    );
    if (visitor.visitValueProperty("phoneNumber", value, propertyContext)) {
    }
    visitor.endVisitValueProperty("phoneNumber", value, propertyContext);
    value = as.getSessionKey();
    propertyContext = new com.google.web.bindery.autobean.gwt.client.impl.ClientPropertyContext(
      as,
      com.google.web.bindery.autobean.gwt.client.impl.ClientPropertyContext.Setter.beanSetter(IFullUserAutoBean.this, "sessionKey"),
      java.lang.String.class
    );
    if (visitor.visitValueProperty("sessionKey", value, propertyContext)) {
    }
    visitor.endVisitValueProperty("sessionKey", value, propertyContext);
    value = as.getStatus();
    propertyContext = new com.google.web.bindery.autobean.gwt.client.impl.ClientPropertyContext(
      as,
      com.google.web.bindery.autobean.gwt.client.impl.ClientPropertyContext.Setter.beanSetter(IFullUserAutoBean.this, "status"),
      java.lang.String.class
    );
    if (visitor.visitValueProperty("status", value, propertyContext)) {
    }
    visitor.endVisitValueProperty("status", value, propertyContext);
    value = as.getToken();
    propertyContext = new com.google.web.bindery.autobean.gwt.client.impl.ClientPropertyContext(
      as,
      com.google.web.bindery.autobean.gwt.client.impl.ClientPropertyContext.Setter.beanSetter(IFullUserAutoBean.this, "token"),
      java.lang.String.class
    );
    if (visitor.visitValueProperty("token", value, propertyContext)) {
    }
    visitor.endVisitValueProperty("token", value, propertyContext);
    value = as.getZone();
    propertyContext = new com.google.web.bindery.autobean.gwt.client.impl.ClientPropertyContext(
      as,
      com.google.web.bindery.autobean.gwt.client.impl.ClientPropertyContext.Setter.beanSetter(IFullUserAutoBean.this, "zone"),
      java.lang.String.class
    );
    if (visitor.visitValueProperty("zone", value, propertyContext)) {
    }
    visitor.endVisitValueProperty("zone", value, propertyContext);
    value = as.geteMail();
    propertyContext = new com.google.web.bindery.autobean.gwt.client.impl.ClientPropertyContext(
      as,
      com.google.web.bindery.autobean.gwt.client.impl.ClientPropertyContext.Setter.beanSetter(IFullUserAutoBean.this, "eMail"),
      java.lang.String.class
    );
    if (visitor.visitValueProperty("eMail", value, propertyContext)) {
    }
    visitor.endVisitValueProperty("eMail", value, propertyContext);
  }
}
